MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026453Open CASCADE[OCCT] OCCT:Foundation Classespublic2015-07-17 09:282015-10-23 20:50
Reporterkgv 
Assigned Tokgv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformMacOSOSOS VersionX
Product Version 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026453: NCollection_StlIterator - declare reference getters as const
DescriptionThe following issue occurs when using std::stable_sort on OS X:
In file included from /occt/src/AppDef/AppDef_Variational.cxx:20:
In file included from /occt/inc/AppDef_MultiLine.hxx:1:
In file included from /occt/src/AppDef/AppDef_MultiLine.hxx:22:
In file included from /occt/inc/Standard_Handle.hxx:1:
In file included from /occt/src/Standard/Standard_Handle.hxx:18:
In file included from /occt/inc/Standard_Stream.hxx:1:
In file included from /occt/src/Standard/Standard_Stream.hxx:20:
In file included from /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../lib/c++/v1/iostream:38:

In file included from /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../lib/c++/v1/ios:216:

In file included from /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../lib/c++/v1/__locale:15:

In file included from /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../lib/c++/v1/string:439:

In file included from /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../lib/c++/v1/algorithm:627:

In file included from /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../lib/c++/v1/memory:600:

/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../lib/c++/v1/iterator:940:37: 
error: indirection requires pointer operand ('const
      NCollection_StlIterator<std::__1::random_access_iterator_tag, NCollection_Array1<double>::Iterator, 
double, false>' invalid)
      return static_cast<reference>(*__i);
                                    ^~~~
/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../lib/c++/v1/algorithm:4245:20: 
note: in instantiation of member function
      'std::__1::move_iterator<NCollection_StlIterator<std::__1::random_access_iterator_tag, NCollection_Array1<double>::Iterator, 
double, false> >::operator*' requested
      here
        if (__comp(*__first2, *__first1))
                   ^
/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../lib/c++/v1/algorithm:4305:9: 
note: in instantiation of function template
      specialization 'std::__1::__merge<std::__1::__less<double, double> &, std::__1::move_iterator<double 
*>,
      std::__1::move_iterator<NCollection_StlIterator<std::__1::random_access_iterator_tag, NCollection_Array1<double>::Iterator, 
double, false> >,
      NCollection_StlIterator<std::__1::random_access_iterator_tag, NCollection_Array1<double>::Iterator, 
double, false> >' requested here
        __merge<_Compare>(move_iterator<value_type*>(__buff),
        ^
/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../lib/c++/v1/algorithm:4348:13: 
note: in instantiation of function template
      specialization 'std::__1::__buffered_inplace_merge<std::__1::__less<double, double> &, 
NCollection_StlIterator<std::__1::random_access_iterator_tag,
      NCollection_Array1<double>::Iterator, double, false> >' requested here
            __buffered_inplace_merge<_Compare>(__first, __middle, __last, __comp, __len1, __len2, 
__buff);
            ^
/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../lib/c++/v1/algorithm:4632:5: 
note: in instantiation of function template
      specialization 'std::__1::__inplace_merge<std::__1::__less<double, double> &, NCollection_StlIterator<std::__1::random_access_iterator_tag,
      
NCollection_Array1<double>::Iterator, double, false> >' requested here
    __inplace_merge<_Compare>(__first, __m, __last, __comp, __l2, __len - __l2, __buff, __buff_size);
    
^
/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../lib/c++/v1/algorithm:4656:5: 
note: in instantiation of function template
      specialization 'std::__1::__stable_sort<std::__1::__less<double, double> &, NCollection_StlIterator<std::__1::random_access_iterator_tag,
      
NCollection_Array1<double>::Iterator, double, false> >' requested here
    __stable_sort<_Comp_ref>(__first, __last, __comp, __len, __buf.first, __buf.second);
    ^
/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../lib/c++/v1/algorithm:4665:12: 
note: in instantiation of function template
      specialization 'std::__1::stable_sort<NCollection_StlIterator<std::__1::random_access_iterator_tag, 
NCollection_Array1<double>::Iterator, double, false>,
      std::__1::__less<double, double> >' requested here
    _VSTD::stable_sort(__first, __last, __less<typename iterator_traits<_RandomAccessIterator>::value_type>());
           
^
/occt/src/AppDef/AppDef_Variational.cxx:1312:16: note: in instantiation of function template specialization
      
'std::__1::stable_sort<NCollection_StlIterator<std::__1::random_access_iterator_tag, NCollection_Array1<double>::Iterator, 
double, false> >' requested here
          std::stable_sort (CurrentTi->begin(), CurrentTi->end());
               ^
1 error generated.
make[2]: *** [src/TKGeomBase/CMakeFiles/TKGeomBase.dir/__/AppDef/AppDef_Variational.cxx.o] Error 1
make[2]: *** Waiting for unfinished jobs....
make[1]: *** [src/TKGeomBase/CMakeFiles/TKGeomBase.dir/all] Error 2
make: *** [all] Error 2
Steps To ReproduceN/A
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0043142)
git (administrator)
2015-07-17 09:38

Branch CR26453 has been created by kgv.

SHA-1: fac13422df27824cc04abb28d960f66405c1ba01


Detailed log of new commits:

Author: kgv
Date: Fri Jul 17 09:44:38 2015 +0300

    0026453: NCollection_StlIterator - declare reference getters as const
(0043143)
kgv (developer)
2015-07-17 10:00

Patch is ready for review.
(0043534)
git (administrator)
2015-07-27 13:39

Branch CR26453 has been deleted by kgv.

SHA-1: fac13422df27824cc04abb28d960f66405c1ba01

- Related Changesets
occt: master e506f142
Timestamp: 2015-07-17 06:44:38
Author: kgv
Details ] Diff ]
0026453: NCollection_StlIterator - declare reference getters as const
mod - src/NCollection/NCollection_StlIterator.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-07-17 09:28 kgv New Issue
2015-07-17 09:28 kgv Assigned To => abv
2015-07-17 09:38 git Note Added: 0043142
2015-07-17 10:00 kgv Note Added: 0043143
2015-07-17 10:00 kgv Status new => resolved
2015-07-23 11:55 kgv Changeset attached => occt master e506f142
2015-07-23 11:55 kgv Assigned To abv => kgv
2015-07-23 11:55 kgv Status resolved => verified
2015-07-23 11:55 kgv Resolution open => fixed
2015-07-27 13:39 git Note Added: 0043534
2015-08-26 11:00 abv Target Version 7.0.0 => 6.9.1
2015-10-16 14:56 aiv Status verified => closed
2015-10-23 20:50 aiv Fixed in Version => 6.9.1


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker